Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Interface IClipboardSupportPolicy

    public interface IClipboardSupportPolicy

Interface for policies for a clipboard support providers. Used to answer whether or not the provider provides for an operation, without causing plug-ins to be activated.

Since:
  1.3

Method Summary
`boolean` `provides(IAdaptable adaptable)` Determines if this policy provides for the given adaptable.

Method Detail

### provides

    boolean provides(IAdaptable adaptable)

  Determines if this policy provides for the given adaptable.

  Parameters:
    `adaptable` - the adaptable in question
  Returns:
    true if this policy provides for the given adaptable

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.